<div class="content">
    <div class="row">
        <div class="col-md-8">
            <div class="card card-user">
                <div class="card-header">
                  <h5 class="card-title">Add Book</h5>
                  <app-msg></app-msg>
                </div>
                <div class="card-body">
                    <form #bookForm="ngForm" >
                        <div class="row">
                            <div class="col-md-7 pr-1">
                              <div class="form-group">
                                <label>Title *</label>
                                <input type="text" #title="ngModel" class="form-control" name="title" [(ngModel)]="book.title" placeholder="Title" [class.is-invalid]= "title.invalid &&  title.touched" required="required" ngModel>
                              </div>
                              <div *ngIf="title.invalid &&  title.touched">
                                <small class="text-danger"> This field is required</small>
                               </div>
                            </div>
                            <div class="col-md-5 px-1">
                              <div class="form-group">
                                <label>Autor *</label>
                                <input type="text" #autor="ngModel" class="form-control" name="autor" [(ngModel)]="book.autor"  placeholder="Autor" [class.is-invalid]= "autor.invalid &&  autor.touched" required="required" ngModel>
                              </div>
                              <div  *ngIf="autor.invalid &&  autor.touched">
                                <small class="text-danger"> This field is required</small>
                               </div>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col-md-12">
                              <div class="form-group">
                                <label>Description (At least 60 characters)*</label>
                                <textarea minlength="60" class="form-control textarea" #description="ngModel" class="form-control" name="description" [(ngModel)]="book.description" required="required" >Write a book description here</textarea>
                              </div>
                              <div  *ngIf="description.invalid &&  description.touched">
                                <small class="text-danger"> This field is required</small>
                               </div>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col-md-6 pr-1">
                              <div class="form-group">
                                <label>Price (Optional)</label>
                                <input type="number" min="0" max="1000" step="0.01"  [(ngModel)]="book.price" class="form-control" name="price" [(ngModel)]="book.price" placeholder="0.00" ngModel>
                              </div>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col-md-8 pr-1">
                            </div>
                            <div class="col-md-4 ">
                                <div class="form-group ">
                                    <button type="button" class="btn btn-secondary" routerLink="/private">Cancel</button>
                                    <button type="submit" class="btn btn-primary" (click)="saveBook(bookForm)" [disabled]="bookForm.form.invalid">Accept</button>
                                </div>
                              </div>
                          </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
  </div>
